﻿@charset "utf-8";

html, body {
    height: 100%;
    min-height: 100%;
}

body {
    background: #eee;
}

.grid-container-login {
    height: 100%;
}

#header {
    background: #fff;
    color: #fff;
    position: relative;
}

    #header img {
        height: 50px;
        padding: 5px 0 5px 5px;
    }

#footer {
    background: #999;
    color: #fff;
    text-align: center;
    line-height: 2rem;
    font-size: 0.9rem;
    font-weight: normal;
}

@media only screen and (max-width : 480px) {
    .grid-container-login {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: auto 1fr auto;
        grid-template-areas: "Header" "Main" "Footer";
    }


    @media all and (-ms-high-contrast:none) {
        .grid-container-login {
            display: -ms-grid;
            -ms-grid-columns: 1fr;
            -ms-grid-rows: auto 1fr auto;
        }
    }

    #header {
        grid-area: Header;
        display: block;
    }

    #main {
        grid-area: Main;
        display: block;
    }

        #main .logo {
            display: none;
        }

    #footer {
        grid-area: Footer;
        display: block;
    }

    .logo {
        display: none;
    }

    /* Login Form */
    #login {
        padding-top: 2em;
    }

        #login,
        #login tbody,
        #login tr,
        #login td {
            display: block;
            width: 100%;
            text-align: left !important;
            height: auto;
        }

            #login strong {
                padding-right: 1em;
            }

            #login input[type="text"],
            #login input[type="password"],
            #login input[type="text"]:focus,
            #login input[type="password"]:focus {
                width: 100% !important;
                font-size: 1.2em;
                height: 2em;
                margin: 0 0 1em !important;
            }

            #login td.mobileCentre {
                text-align: center !important;
            }

            #login td a {
                display: block;
                width: 70%;
                text-align: center;
                margin: 0.2em auto 1em;
                line-height: unset;
                padding: 0.8em;
            }

    .hideMobile {
        display: none;
    }
}

@media only screen and (min-width:481px) {
    #header {
        display: none;
    }

    #main {
        width: 98%;
        max-width: 500px;
        min-height: 100px;
        display: block;
        position: absolute;
        left: 50%;
        top: 50%;
        -moz-transform: translateX(-50%) translateY(-50%);
        -webkit-transform: translateX(-50%) translateY(-50%);
        -o-transform: translateX(-50%) translateY(-50%);
        -ms-transform: translateX(-50%) translateY(-50%);
        transform: translate(-50%, -50%);
        background: #fff;
        box-sizing: border-box;
        padding: 0 1em;
        border: 1px solid #ccc;
        -webkit-border-radius: 4px;
        border-radius: 4px;
        -webkit-box-shadow: 0 0 10px 1px rgba(200,200,200,.5);
        box-shadow: 0 0 10px 1px rgba(200,200,200,.5);
        overflow: visible;
    }

        #main .logo {
            margin: 15px auto 20px auto;
            max-width: 90%;
            max-height: 100px;
        }

    #footer {
        display: none;
    }

    #login td a {
        margin-top: 0.2em;
    }
}
